import com.sun.jna.Library;
import com.sun.jna.Memory;
import com.sun.jna.Native;


public interface RecoICRAPI extends Library {
	RecoICRAPI INSTANCE = (RecoICRAPI) Native.loadLibrary("recoicr" ,RecoICRAPI.class);
	
	public int ICR_Init(String User, String Password);
	public void ICR_Done(int Session);
	public void ICR_SelectRecognizer (int Session, String RecognizerFile);
	public int ICR_RecognizeChar (int Session, int DIBHandle, int Options);
	public int ICR_RecognizeWord (int Session, int DIBHandle, int Options);
	
	public int ICR_RecognizeLine (int Session, int DIBHandle, int Options);
	public int ICR_RecognizeParagraph (int Session, int DIBHandle, int Options);
	public int ICR_GetResultLen (int Session);
	public int ICR_GetResultConfidence (int Session);
	public int ICR_GetResultValue (int Session, Memory Buffer);
	public void ICR_GetCharacterValue (int Session, int CharIndex, int CharAlternative, String Value);
	public void ICR_GetCharacterConfidence (int Session, int CharIndex, int CharAlternative, int Confidence);
	public void ICR_GetCharacterRect (int Session, int CharIndex,int Left,int Top,int Right,int Bottom);
	public int ICR_GetCharactersCount (int Session);
	public void ICR_FreeImage(int Session, int DIBHandle);
	public int ICR_LoadImage(int Session, String FileName);
	
}
